Page 1 of 5 123 ... LastLast
Results 1 to 10 of 42

Thread: When will KDE update to 5.6 on LEAP?

  1. #1

    Default When will KDE update to 5.6 on LEAP?

    Does anyone know the expected schedule for KDE 5.6 to reach openSUSE LEAP 42.1?

  2. #2
    Join Date
    Jun 2008
    Location
    Yorkshire
    Posts
    339

    Default Re: When will KDE update to 5.6 on LEAP?

    Quote Originally Posted by 6tr6tr View Post
    Does anyone know the expected schedule for KDE 5.6 to reach openSUSE LEAP 42.1?
    It's in the KDE repos now.
    Pete

  3. #3

    Default Re: When will KDE update to 5.6 on LEAP?

    Hello,

    On 23.03.2016 00:26, 6tr6tr wrote:
    > Does anyone know the expected schedule for KDE 5.6 to reach openSUSE
    > LEAP 42.1?


    From the maintenance team, I do not think we are doing to do this
    particular version update for 42.1.

    Andreas

  4. #4

    Angry Re: When will KDE update to 5.6 on LEAP?

    Hello,

    i have tested it now.

    it does not work.

    Error:
    /usr/bin/ksmserver: /usr/lib64/libQt5Core.so.5: version `Qt_5.6.0_PRIVATE_API' not found (required by /usr/lib64/libKF5Declarative.so.5)

    /usr/lib64/libQt5Core.so.5 is this from Repo: http://download.opensuse.org/reposit...USE_Leap_42.1/

  5. #5

    Default Re: When will KDE update to 5.6 on LEAP?

    Quote Originally Posted by 6tr6tr View Post
    Does anyone know the expected schedule for KDE 5.6 to reach openSUSE LEAP 42.1?
    There is no "KDE 5.6".

    And Plasma 5.6 is a major new (feature) version, so will normally not be released as update for a stable openSUSE release.
    We made an exception in Leap 42.1 for 5.5, but I'm not sure this will be done for 5.6 as well.

    At least there's no "expected schedule".

    But as has been mentioned already, Plasma 5.6.0 is available in the KDE:Frameworks5 repo since yesterday. Please note, that you also need KDE:Qt5 if you want to use that, for the latest Qt 5.6.

  6. #6

    Default Re: When will KDE update to 5.6 on LEAP?

    Quote Originally Posted by linreg View Post
    Hello,

    i have tested it now.

    it does not work.

    Error:
    /usr/bin/ksmserver: /usr/lib64/libQt5Core.so.5: version `Qt_5.6.0_PRIVATE_API' not found (required by /usr/lib64/libKF5Declarative.so.5)

    /usr/lib64/libQt5Core.so.5 is this from Repo: http://download.opensuse.org/reposit...USE_Leap_42.1/
    You are using the unstable KDE:Qt56 repo. You should use the stable one (KDE:Qt5) instead, that's what the packages are built against.
    http://download.opensuse.org/reposit...USE_Leap_42.1/

  7. #7
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: When will KDE update to 5.6 on LEAP?

    Anyone knows when/if LXQt will be build against Qt 5.6 I'd like to try the new plasma 5.6 but I don't want to break LXQt

    is the LXQt git repo build against Qt 5.6?
    http://download.opensuse.org/reposit...USE_Leap_42.1/

    how current is the git repo as the regular LXQt repo seams to have newer packages?
    http://download.opensuse.org/reposit...USE_Leap_42.1/

  8. #8

    Default Re: When will KDE update to 5.6 on LEAP?

    Quote Originally Posted by I_A View Post
    Anyone knows when/if LXQt will be build against Qt 5.6 I'd like to try the new plasma 5.6 but I don't want to break LXQt

    Well, the LXQt repo maintainers probably do know whether they plan to provide LXQt built against Qt 5.6 for Leap, and when.

    The Factory/Tumbleweed packages will be built against 5.6 automatically anyway as soon as Qt 5.6.0 enters Factory/Tumbleweed.

    is the LXQt git repo build against Qt 5.6?
    http://download.opensuse.org/reposit...USE_Leap_42.1/
    No.
    It's built against standard Leap 42.1+Updates, i.e. Qt 5.5.1.
    Normally this shouldn't matter though, but the Qt5 integration plugin (lxqt-qtplugin) might not work, which is necessary so that Qt5 applications respect LXQt's settings. In the worst case you might have to uninstall it, as it might make Qt5 applications crash.

    how current is the git repo as the regular LXQt repo seams to have newer packages?
    http://download.opensuse.org/reposit...USE_Leap_42.1/
    They may be "newer", but they contain the latest released version, while LXQt:git contains later git snapshots.
    Last edited by wolfi323; 23-Mar-2016 at 08:59.

  9. #9
    Join Date
    Jul 2011
    Location
    Alpharetta, Georgia, USA
    Posts
    289

    Default Re: When will KDE update to 5.6 on LEAP?

    Hey wolfi323,

    What is the correct procedure for installing the KDE Plasma 5 repo on Leap 42.1? That is, I assume that I first add the Frameworks5 KDE repo at:

    http://download.opensuse.org/reposit...USE_Leap_42.1/

    And, from your prior post, I assume that I should also add the Qt5 repo at:

    http://download.opensuse.org/reposit...USE_Leap_42.1/

    Then, do I switch repos to both the Frameworks5 and Qt5 repos or only the Frameworks5 repo? Also, any other advice?

    Thanks,

    Gordon
    Laptop #1: OpenSUSE Leap 15.0 (x86_64) | HP ZBook 17 G2 (17")
    Laptop #2: OpenSUSE Leap 15.0 (x86_64) | System76 Darter (14")

  10. #10
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: When will KDE update to 5.6 on LEAP?

    Quote Originally Posted by gldickens3 View Post
    Hey wolfi323,

    What is the correct procedure for installing the KDE Plasma 5 repo on Leap 42.1? That is, I assume that I first add the Frameworks5 KDE repo at:

    http://download.opensuse.org/reposit...USE_Leap_42.1/

    And, from your prior post, I assume that I should also add the Qt5 repo at:

    http://download.opensuse.org/reposit...USE_Leap_42.1/

    Then, do I switch repos to both the Frameworks5 and Qt5 repos or only the Frameworks5 repo? Also, any other advice?

    Thanks,

    Gordon
    you'd need to do a dup (switch) with both repo's, post your repo list
    Code:
    zypper lr -d

Page 1 of 5 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •